Page MenuHomePhabricator

Deploy new history page to AMC users
Closed, ResolvedPublic2 Story Points

Description

Background

In T219895 we applied the new styles to the history page. We would now like to turn it on for all users

Acceptance criteria

  • Deploy new history page to AMC users on arwiki, eswiki, idwiki

QA steps

Pre-sign off steps

QA Results

Event Timeline

ovasileva triaged this task as High priority.Jun 4 2019, 9:33 AM
ovasileva created this task.
nray added a subscriber: nray.Jun 4 2019, 4:13 PM

MFUseDesktopSpecialHistoryPage will need to be changed to tackle this

pmiazga claimed this task.Jun 5 2019, 10:06 AM

the new history page will be deployed to all wikis that have AMC mode enabled (es, id, ar, test and test2 wikis). If we decide to enable AMC for more wikis, they will automatically get the new history page treatment.

pmiazga removed pmiazga as the assignee of this task.Jun 5 2019, 11:45 AM
pmiazga updated the task description. (Show Details)
pmiazga updated the task description. (Show Details)
pmiazga added a subscriber: pmiazga.

Deployed

ovasileva updated the task description. (Show Details)Jun 5 2019, 11:48 AM
Edtadros claimed this task.Jun 5 2019, 5:05 PM
phuedx updated the task description. (Show Details)Jun 5 2019, 5:13 PM
Edtadros reassigned this task from Edtadros to ovasileva.Jun 9 2019, 3:53 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ⬜ Pending Review
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Criteria

✅ AC1: For logged-in user with AMC mode turned on, navigating to a history page will lead to the "action=history" page instead of "Special:History" page.

eswikiarwikiidwiki

✅ AC2: The action=history page should resemble the mock provided in this task description.

eswikiarwikiidwiki

✅ AC3: The diff button, "compare selected revisions" should work when selecting two revisions.

eswikiarwikiidwiki

❓ AC4: undo: tags should show up in user contributions
The tags in mobile view, while very readable, do not indicate mobile edits.

eswikiarwikiidwiki
mobile
desktop

⬜ AC5: rollback: tags should show up in user contributions

eswikiarwikiidwiki
unable to verifyunable to verifyunable to verify
Edtadros updated the task description. (Show Details)Jun 9 2019, 3:55 PM
ovasileva closed this task as Resolved.Jun 11 2019, 1:24 PM

Looks good. For contributions, since we are using the old version of the page, this is expected. Rollback can be tested on testwiki, but since we already tested on the beta cluster, I think we're okay to close.